VTK: vtkTreeOrbitLayoutStrategy Class Reference

| VTK 9.0.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkTreeOrbitLayoutStrategy Class Reference

hierarchical orbital layout More...

`#include <vtkTreeOrbitLayoutStrategy.h>`

Inheritance diagram for vtkTreeOrbitLayoutStrategy:
[legend]
Collaboration diagram for vtkTreeOrbitLayoutStrategy:
[legend]

## Public Types
typedef vtkGraphLayoutStrategy | Superclass
Public Types inherited from vtkGraphLayoutStrategy
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkTreeOrbitLayoutStrategy * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | Layout () override
| Perform the orbital layout. More...
virtual void | SetLogSpacingValue (double)
| The spacing of orbital levels. More...
virtual double | GetLogSpacingValue ()
virtual void | SetLeafSpacing (double)
| The spacing of leaves. More...
virtual double | GetLeafSpacing ()
virtual void | SetChildRadiusFactor (double)
| This is a magic number right now. More...
virtual double | GetChildRadiusFactor ()
Public Member Functions inherited from vtkGraphLayoutStrategy
vtkGraphLayoutStrategy * | NewInstance () const
virtual void | SetGraph (vtkGraph *graph)
| Setting the graph for the layout strategy. More...
virtual void | Initialize ()
| This method allows the layout strategy to do initialization of data structures or whatever else it might want to do. More...
virtual int | IsLayoutComplete ()
| If your concrete class is iterative than you should overload IsLayoutComplete() otherwise it simply returns 1 by default;. More...
virtual void | SetWeightEdges (bool state)
| Whether to use edge weights in the layout or not. More...
virtual bool | GetWeightEdges ()
virtual void | SetEdgeWeightField (const char *field)
| Set/Get the field to use for the edge weights. More...
virtual char * | GetEdgeWeightField ()
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
vtkCommand * | GetCommand (unsigned long tag)
void | RemoveObserver (vtkCommand *)
void | RemoveObservers (unsigned long event, vtkCommand *)
void | RemoveObservers (const char *event, vtkCommand *)
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
int | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
int | InvokeEvent (const char *event, void *callData)
int | InvokeEvent (unsigned long event)
int | InvokeEvent (const char *event)
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
void | PrintRevisions (ostream &)
| Legacy. More...

## Static Public Member Functions
static vtkTreeOrbitLayoutStrategy * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkTreeOrbitLayoutStrategy * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkGraphLayoutStrategy
static vtkTypeBool | IsTypeOf (const char *type)
static vtkGraphLayoutStrategy * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (int val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
static void | GlobalWarningDisplayOff ()
static int | GetGlobalWarningDisplay ()
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkTreeOrbitLayoutStrategy ()
| ~vtkTreeOrbitLayoutStrategy () override
void | OrbitChildren (vtkTree *t, vtkPoints *p, vtkIdType parent, double radius)
Protected Member Functions inherited from vtkGraphLayoutStrategy
| vtkGraphLayoutStrategy ()
| ~vtkGraphLayoutStrategy () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | CollectRevisions (ostream &)
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
double | LogSpacingValue
double | LeafSpacing
double | ChildRadiusFactor
Protected Attributes inherited from vtkGraphLayoutStrategy
vtkGraph * | Graph
char * | EdgeWeightField
bool | WeightEdges
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

hierarchical orbital layout

Assigns points to the nodes of a tree to an orbital layout. Each parent is orbited by its children, recursively.

Thanks:
  Thanks to the galaxy for inspiring this layout strategy.

Definition at line 32 of file vtkTreeOrbitLayoutStrategy.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkGraphLayoutStrategy vtkTreeOrbitLayoutStrategy::Superclass

Definition at line 37 of file vtkTreeOrbitLayoutStrategy.h.

## Constructor & Destructor Documentation

## ◆ vtkTreeOrbitLayoutStrategy()

vtkTreeOrbitLayoutStrategy::vtkTreeOrbitLayoutStrategy | ( |  | ) |
| protected

## ◆ ~vtkTreeOrbitLayoutStrategy()

vtkTreeOrbitLayoutStrategy::~vtkTreeOrbitLayoutStrategy | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkTreeOrbitLayoutStrategy* vtkTreeOrbitLayoutStrategy::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkTreeOrbitLayoutStrategy::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkTreeOrbitLayoutStrategy::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkGraphLayoutStrategy.

## ◆ SafeDownCast()

static vtkTreeOrbitLayoutStrategy* vtkTreeOrbitLayoutStrategy::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkTreeOrbitLayoutStrategy::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkGraphLayoutStrategy.

## ◆ NewInstance()

vtkTreeOrbitLayoutStrategy* vtkTreeOrbitLayoutStrategy::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkTreeOrbitLayoutStrategy::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkGraphLayoutStrategy.

## ◆ Layout()

void vtkTreeOrbitLayoutStrategy::Layout | ( |  | ) |
| overridevirtual

Perform the orbital layout.

Implements vtkGraphLayoutStrategy.

## ◆ SetLogSpacingValue()

virtual void vtkTreeOrbitLayoutStrategy::SetLogSpacingValue | ( | double |  | ) |
| virtual

The spacing of orbital levels.

Levels near zero give more space to levels near the root, while levels near one (the default) create evenly-spaced levels. Levels above one give more space to levels near the leaves.

## ◆ GetLogSpacingValue()

virtual double vtkTreeOrbitLayoutStrategy::GetLogSpacingValue | ( |  | ) |
| virtual

## ◆ SetLeafSpacing()

virtual void vtkTreeOrbitLayoutStrategy::SetLeafSpacing | ( | double |  | ) |
| virtual

The spacing of leaves.

Levels near one evenly space leaves with no gaps between subtrees. Levels near zero creates large gaps between subtrees.

## ◆ GetLeafSpacing()

virtual double vtkTreeOrbitLayoutStrategy::GetLeafSpacing | ( |  | ) |
| virtual

## ◆ SetChildRadiusFactor()

virtual void vtkTreeOrbitLayoutStrategy::SetChildRadiusFactor | ( | double |  | ) |
| virtual

This is a magic number right now.

Controls the radius of the child layout, all of this should be fixed at some point with a more logical layout. Defaults to .5 :)

## ◆ GetChildRadiusFactor()

virtual double vtkTreeOrbitLayoutStrategy::GetChildRadiusFactor | ( |  | ) |
| virtual

## ◆ OrbitChildren()

void vtkTreeOrbitLayoutStrategy::OrbitChildren | ( | vtkTree * | t,
|  | vtkPoints * | p,
|  | vtkIdType | parent,
|  | double | radius
| ) |  |
| protected

## Member Data Documentation

## ◆ LogSpacingValue

double vtkTreeOrbitLayoutStrategy::LogSpacingValue
| protected

Definition at line 82 of file vtkTreeOrbitLayoutStrategy.h.

## ◆ LeafSpacing

double vtkTreeOrbitLayoutStrategy::LeafSpacing
| protected

Definition at line 83 of file vtkTreeOrbitLayoutStrategy.h.

## ◆ ChildRadiusFactor

double vtkTreeOrbitLayoutStrategy::ChildRadiusFactor
| protected

Definition at line 84 of file vtkTreeOrbitLayoutStrategy.h.

The documentation for this class was generated from the following file:

- Infovis/Layout/vtkTreeOrbitLayoutStrategy.h